
-- Tooltip Frame
smb_tooltip = CreateFrame("Frame", nil, UIParent);
smb_tooltip:ClearAllPoints()
smb_tooltip:SetPoint("CENTER",UIParent)
smb_tooltip:SetHeight(50)
smb_tooltip:SetWidth(400)
smb_tooltip:EnableMouse(true)
smb_tooltip:SetMovable(true)
smb_tooltip:RegisterForDrag("LeftButton")
smb_tooltip:SetScript("OnDragStart",smb_tooltip.StartMoving)
smb_tooltip:SetScript("OnDragStop",smb_tooltip.StopMovingOrSizing)
smb_tooltip:SetScript("OnMouseDown", function(this) 
					if ( ( ( not this.isLocked ) or ( this.isLocked == 0 ) ) and ( arg1 == "LeftButton" ) ) then
					  this:StartMoving();
					  this.isMoving = true;
					 end
					end)
smb_tooltip:SetScript("OnMouseUp", function(this) 
					if ( this.isMoving ) then
					  this:StopMovingOrSizing();
					  this.isMoving = false;
					  if this.SavePosition then
						this:SavePosition()
					  end
					 end
					end)

smb_tooltip:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
                                            edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                                            tile = true, tileSize = 16, edgeSize = 16, 
                                            insets = { left = 4, right = 4, top = 4, bottom = 4 }});
smb_tooltip:SetBackdropColor(0,0,0,1);
smb_tooltip:SetScale(1)
smb_tooltip.text=smb_tooltip:CreateFontString(nil,"OVERLAY","GameFontNormal")
smb_tooltip.text:SetPoint("TOPLEFT",smb_tooltip,"TOPLEFT",6,-15)
smb_tooltip.text:SetTextColor(1.0,1.0,1.0,1.0)
smb_tooltip.text:SetText("Some text!")
smb_tooltip.text:SetWordWrap(true)
smb_tooltip.text:SetWidth(390)
smb_tooltip.text:SetJustifyH("left");
smb_tooltip:SetFrameLevel(100);
smb_tooltip:Hide()
